(function () {
  'use strict';
  var arModule = angular.module('AR');

  arModule.constant('clientDetails', {
    id: 1
  });

  arModule.constant('adminUrl', 'http://www.arabicroot.net/Admin/account?Active=true');

  arModule.constant('webSiteUrl', 'http://www.arabicroot.net/');

  arModule.constant('pageSize', 10);

  arModule.constant('Collations', [{ key: '1', value: 'Modern Standard Arabic' }, { key: '2', value: 'Egyptian Colloquial Arabic', isDefault: true }]);
  arModule.constant('scriptTypes', [{ key: '1', value: 'Arabic Script', isDefault: true }, { key: '2', value: 'Arabic Transcription' }]);

  arModule.constant('CategoryTypes', [{ key: 1, value: 'General Topics', isDefault: true }, { key: 2, value: 'Idioms and Slang' }, { key: 2, value: 'Index'}]);


  arModule.constant('LanguageTypeMsaId', 1);

  arModule.constant('LanguageTypeEcId', 2);

    arModule.constant('MaxArchives', 5);

  arModule.constant('server', {
      url: 'http://aroot.cloudapp.net/api'
      //url:'http://service.arabicroot.dashsoft.local/api/'
      //url: 'http://service.arabicroot.net/api/'
      //url: 'http://localhost:40000/api/'
  });

  arModule.constant('splashSettings', { duration: 5000 });

  arModule.constant('menuTemplates', [
      { Name: 'photoGallery', Id: 1 },
      { Name: 'news', Id: 2 },
      { Name: 'videoGallery', Id: 3 },
      { Name: 'newsletter', Id: 4 },
      { Name: 'events', Id: 5 },
      { Name: 'contactUs', Id: 6 },
      { Name: 'facebookNews', Id: 7 }
  ]);

})();