(function () {
    'use strict';
    angular.module('AR').controller('MainController', function ($scope, $location, adminUrl, api, localStorage, $state, $ionicSideMenuDelegate/*, menuHandler*/, $rootScope) {
        $scope.isIos =  ionic.Platform.isIOS();
    
      
        $scope.showAdminSidePortal = window.showAdminUrl;

        $scope.goToEnglishSearch = function () {
            window.localStorage.setItem("isInit", "true");
        }

        $scope.goToArabicSearch = function() {
            window.localStorage.setItem("isInit", "true");
        }

        $scope.goToRootSearch = function () {
            window.localStorage.setItem("isInit", "true");
        }

        //$scope.getCurrentUserInfo();

        $scope.openAdminSidePortal = function() {
            window.open(adminUrl, '_system');
        };

        $scope.logout = function () {
           // localStorage.LogOut();
            $state.go('login');
        };

        $scope.goBack = function () {
            var currentPage = window.location.href;

            if (currentPage.toLowerCase().indexOf("login") >= 0) {
                navigator.app.exitApp();
            } else {
                window.history.back();
            }
        };

        // show error if exist
        $scope.hasError = false;
        $scope.$watch(function () { return $rootScope.hasError; }, function () {
            $scope.hasError = $rootScope.hasError;
            $scope.error = $rootScope.error;
        }, true);

    });
})();
