﻿(function () {
    'use strict';

    angular.module('AR').directive('virtualkeyboard', function () {
        return {
            require: 'ngModel',
            restrict: 'A',
            link: function (scope, element, attr, ngModel) {
                var myInput = element[0];
                if (myInput.VKI_attached)
                    return;
                VKI_attach(myInput, function () {
                    scope.$apply(function () {
                        ngModel.$setViewValue(element.val());
                    });
                });
            }
        };
    });
})();