﻿(function () {
    'use strict';

    angular.module('AR').directive('playAudio', function () {
        return {
            restrict: 'A',
            scope: {
                mediaUrl: '='
            },
            link: function (scope, element) {
                var media = new Media(scope.mediaUrl);
                media.play();
                element.on("click", function () {
                    media.stop();
                    media.play();
                });
                scope.$on('$destroy', function () {
                    media.stop();
                });
            }
        };
    });
})();